import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (a, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, l) : t, s = a.length - 1, p; s >= 0; s--)
    (p = a[s]) && (e = (r ? p(t, l, e) : p(e)) || e);
  return r && e && g(t, l, e), e;
};
let o = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--stopwatchFilledLarge", this.class = "c-pieIcon c-pieIcon--stopwatchFilledLarge", this.name = "IconStopwatchFilledLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--stopwatchFilledLarge"><path d="M17.75 6.419V4.625h3.5l-.604-1.75h-7.542l-.604 1.75H16v1.794a11.38 11.38 0 0 0-9.625 6.956h4.375a.875.875 0 0 1 .875.875v7a.875.875 0 0 1-.875.875H6.375A11.375 11.375 0 1 0 17.75 6.419M16 11.669h1.75v5.626l3.946 2.371-.875 1.505L16 18.25z"></path><path d="M9.875 16.875v-1.75H2l.788 1.75z"></path><path d="M9.875 20.375v-1.75h-5.25l.787 1.75z"></path></svg>`;
  }
};
i([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-stopwatch-filled-large")
], o);
export {
  o as IconStopwatchFilledLarge
};
